<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (11.0.9) on Sat Nov 07 18:13:25 CET 2020 -->
<title>P-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2020-11-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="P-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">E</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">I</a>&nbsp;<a href="index-6.html">M</a>&nbsp;<a href="index-7.html">N</a>&nbsp;<a href="index-8.html">P</a>&nbsp;<a href="index-9.html">R</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<a href="index-11.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="../Pila.html#peek()">peek()</a></span> - Method in class <a href="../Pila.html" title="class in &lt;Unnamed&gt;">Pila</a></dt>
<dd>
<div class="block">Aquest metode ens agafa l'ultim element que tenim en la nostra pila</div>
</dd>
<dt><a href="../Pila.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Pila</span></a>&lt;<a href="../Pila.html" title="type parameter in Pila">E</a>&gt; - Class in <a href="../package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>
<div class="block">Aquesta classe pila l'utilitzem per a poder iniciar les dues piles amb les quals treballarem en el nostre
 programa, amb una ArrayDeque, aquesta classe implementa iterable per a poder treballar amb la pila.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Pila.html#%3Cinit%3E()">Pila()</a></span> - Constructor for class <a href="../Pila.html" title="class in &lt;Unnamed&gt;">Pila</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../PilaBuidaException.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">PilaBuidaException</span></a> - Exception in <a href="../package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>
<div class="block">Aquesta classe conte l'excepcio que controla si la pila esta buida o no</div>
</dd>
<dt><span class="memberNameLink"><a href="../PilaBuidaException.html#%3Cinit%3E()">PilaBuidaException()</a></span> - Constructor for exception <a href="../PilaBuidaException.html" title="class in &lt;Unnamed&gt;">PilaBuidaException</a></dt>
<dd>
<div class="block">Aquest metode printa un missatge</div>
</dd>
<dt><span class="memberNameLink"><a href="../Pila.html#pop()">pop()</a></span> - Method in class <a href="../Pila.html" title="class in &lt;Unnamed&gt;">Pila</a></dt>
<dd>
<div class="block">Aquest metode ens serveix per a agafar l'ultim objecte de la pila i a més a més el borrem</div>
</dd>
<dt><a href="../ProvaNavegador.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">ProvaNavegador</span></a> - Class in <a href="../package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>
<div class="block">Aquesta classe s'utilitza com a tester del Navegador amb un menu amb el qual pots interectuar i fer les accions que vulguis</div>
</dd>
<dt><span class="memberNameLink"><a href="../ProvaNavegador.html#%3Cinit%3E()">ProvaNavegador()</a></span> - Constructor for class <a href="../ProvaNavegador.html" title="class in &lt;Unnamed&gt;">ProvaNavegador</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Pila.html#push(E)">push(E)</a></span> - Method in class <a href="../Pila.html" title="class in &lt;Unnamed&gt;">Pila</a></dt>
<dd>
<div class="block">Aquest metode ens afegeix un altre element a la nostre pila</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">E</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">I</a>&nbsp;<a href="index-6.html">M</a>&nbsp;<a href="index-7.html">N</a>&nbsp;<a href="index-8.html">P</a>&nbsp;<a href="index-9.html">R</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<a href="index-11.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
